.popup-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    z-index: 9999;
    justify-content: center;
    align-items: center;
}

.popup-overlay.active {
    display: flex;
}

.popup-content {
    background: #fff;
    max-width: 900px;
    width: 90%;
	max-height: 90%;
    border-radius: 10px;
    position: relative;
    text-align: center;
    display: flex;
    justify-content: center;
	overflow: hidden;
}

.popup-layout {
    display: flex;
    width: 100%;
	height: 100%;
    justify-content: space-between;
}

.popup-image {
    width: 50%;
    overflow: hidden;
}

.popup-image__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.popup-right-content {
    width: 50%;
    padding: 44px 32px 16px 32px;
    text-align: left;
	overflow-y: auto;
}

.popup-close {
    position: absolute;
    top: 10px;
    right: 10px;
    background: none;
    border: none;
    cursor: pointer;
}

.popup-text {
    color: #1a1a1a;
    font-size: 20px;
    margin-bottom: 20px;
}

.popup-description {
	margin-bottom: 20px;
}

.popup-description * {
    color: #333;
    font-size: 14px;
    line-height: 1.5;
}
.popup-description strong {
	font-weight: bold;
}

.popup-form__container {
	margin: 16px 0 28px;
}

.popup-form {
    margin: 16px 0 28px;
}

.popup-form .wpcf7-response-output {
	display: none;
}

.popup-form__wrapper {
	display: flex;
	flex-direction: column;
	gap: 16px;
}

.popup-form__submit p {
	display: flex;
	align-items: center;
}

.popup-form__checkbox .wpcf7-list-item {
	margin-left: 0px;
}
.popup-form__checkbox p {
	display: flex;
	align-items: flex-start;
	gap: 4px;
}
.popup-form__checkbox .wpcf7-list-item-label {
	color: #333;
  	font-size: 14px;
  	line-height: 1.5;
	margin-top: -1px;
}

.checklist-link a {
    display: inline-block;
    padding: 10px 20px;
    background: #ff5733;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    margin-top: 10px;
}

#success-result {
	display: flex;
	flex-direction: column;
	gap: 20px;
}

/* Responsive Design */
@media (max-width: 900px) {
    .popup-content {
        width: 95%;
        padding: 40px 20px 20px 20px;
    }
	
	.popup-form__container {
		margin: 20px 0 0 0;
	}
	
	.popup-form__container .button {
		width: 100%;
	}
	
	.popup-form__container .form__desc {
		margin: 0;
	}

    .popup-layout {
        flex-direction: column;
    }

	.popup-image {
		display: none;
	}
	
	.popup-right-content {
        width: 100%;
        padding: 0;
    }

    .popup-text {
        font-size: 20px;
    }

    .popup-description * {
        font-size: 14px;
    }
	
	.popup-form__submit p {
		flex-direction: column;
		gap: 12px;
		justify-content: center;
	}
}